import { html as h } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, u = Object.getOwnPropertyDescriptor, i = (n, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? u(r, o) : r, c = n.length - 1, p; c >= 0; c--)
    (p = n[c]) && (e = (t ? p(r, o, e) : p(e)) || e);
  return t && e && m(r, o, e), e;
};
let s = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--search", this.class = "c-pieIcon c-pieIcon--search", this.name = "IconSearch";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--search"><path d="M14.125 13.162 11.15 10.18a5.049 5.049 0 1 0-.936.936l2.948 3.01.963-.963Zm-7-2.318a3.718 3.718 0 1 1 3.719-3.72 3.728 3.728 0 0 1-3.72 3.72Z"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = i([
  f("icon-search")
], s);
export {
  s as IconSearch
};
